API
Get a call
GET
header
AuthorizationBearer <token>Your API key, 06l_…. For servers only.
call_id*stringMatch
^call_[0-9a-z]{26}$OK.
application/json- response
id*CallIdMatch
^call_[0-9a-z]{26}$line_id*LineIdMatch
^line_[0-9a-z]{26}$direction*stringValue in
"outbound""inbound"from*PhoneNumberE.164, e.g. +33612345678.
Match
^\+[1-9][0-9]{6,14}$to*PhoneNumberE.164, e.g. +33612345678.
Match
^\+[1-9][0-9]{6,14}$state*stringdialing → ringing → active → ended. Incoming calls start at ringing.
Value in
"dialing""ringing""active""ended"end_reason?stringValue in
"hangup""remote_hangup""no_answer""busy""failed""line_offline"client_ref?ClientRefYour own identifier. Sending the same client_ref twice returns the first result instead of acting twice.
Length
length <= 255created_by*Who did it. user from the 06 Line dashboard, api_key from your code, agent for what the network sent you, system for 06 Line itself.
started_at*TimestampRFC 3339, UTC.
Format
date-timeanswered_at?TimestampRFC 3339, UTC.
Format
date-timeended_at?TimestampRFC 3339, UTC.
Format
date-timeduration_s?integerTalk time, from answered_at to ended_at.
curl -X GET 'https://api.06line.com/v1/calls/string'Example Response
{ "id": "call_01jbq7e4m2x8k5t1v9r3c6d0yb", "line_id": "line_01jbq5a3x9e2k7m4t6v8r0c1yb", "direction": "outbound", "from": "+33612345678", "to": "+33698765432", "state": "dialing", "created_by": { "type": "user", "id": "usr_01jbq3m5k7x9t1v3r5c7d9e1fb" }, "started_at": "2026-10-21T15:12:03Z"}